local mod = BigWigs:NewBoss("Sindragosa Icons", "Icecrown Citadel")
if not mod then return end
mod:RegisterEnableMob(36853)

local current = 0

function mod:OnBossEnable()
	self:Log("SPELL_AURA_APPLIED", "Beacon", 70126)
	self:Log("SPELL_AURA_REMOVED", "Safe", 70126)
	self:Death("Disable", 36853)
end

function mod:Beacon(player)
	current = current + 1
	SetRaidTarget(player, current)

	local max = 2
	local d = GetInstanceDifficulty()
	if d == 4 then max = 6
	elseif d == 2 then max = 5
	end
	if current == max then current = 0 end
end

function mod:Safe(player)
	SetRaidTarget(player, 0)
end
